# Uses of Interface
org.apache.sling.testing.mock.osgi.config.annotations.TypedConfig

Packages that use TypedConfig
Package
Description
org.apache.sling.testing.mock.osgi.config
OSGi Config Type Parameters core implementation.
org.apache.sling.testing.mock.osgi.config.annotations
Annotations and interfaces intended to be referenced in end-user test classes for parameter and config resolution.

## Uses of TypedConfig in org.apache.sling.testing.mock.osgi.config

Classes in org.apache.sling.testing.mock.osgi.config that implement TypedConfig
Modifier and Type
Class
Description
`final class`
`AnnotationTypedConfig<T>`
Default implementation of `TypedConfig`.
Methods in org.apache.sling.testing.mock.osgi.config that return TypedConfig
Modifier and Type
Method
Description
`TypedConfig`
ConfigTypeContext.`newTypedConfig(@NotNull Annotation annotation)`
Construct a collection typed config for the provided annotation.
`TypedConfig`
ConfigTypeContext.`newTypedConfig(@NotNull Annotation annotation, @Nullable String applyPid)`
Construct a collection typed config for the provided annotation.
Methods in org.apache.sling.testing.mock.osgi.config that return types with arguments of type TypedConfig
Modifier and Type
Method
Description
`static <T> Optional<TypedConfig<T>>`
ConfigAnnotationUtil.`resolveParameterToTypedConfig(@NotNull ConfigCollection configCollection, @NotNull Class<T> parameterConfigType, @NotNull Class<?>[] signatureParameterTypes, int parameterIndex)`
Returns the first `TypedConfig` from the `ConfigCollection`, if present, after skipping the same number of values as there are matching signature parameter types with an index lower than the current parameterIndex.

## Uses of TypedConfig in org.apache.sling.testing.mock.osgi.config.annotations

Methods in org.apache.sling.testing.mock.osgi.config.annotations that return types with arguments of type TypedConfig
Modifier and Type
Method
Description
`Stream<TypedConfig>`
ConfigCollection.`stream()`
Return an untyped stream of all the typed configs contained in this collection.
`default <T> Stream<TypedConfig<T>>`
ConfigCollection.`stream(@NotNull Class<T> configType)`
Return a typed stream of only those entries in the collection that match the desired config type.
`default <U> Stream<TypedConfig<U>>`
TypedConfig.`stream(@NotNull Class<U> otherType)`
Returns a 0- or 1-element entry stream (containing only this entry) depending on whether this entry's `getType()` matches the provided `otherType`.